docutils 0.10 incompatible with sphinx 1.1.3

Bug #1091333 reported by James E. Blair on 2012-12-17
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ceilometer
Undecided
Lianhao Lu
Keystone
Undecided
Unassigned
Essex
Undecided
Dave Walker
OpenStack Core Infrastructure
Fix Released
Undecided
Unassigned
OpenStack Dashboard (Horizon)
Undecided
Unassigned
Havana
Undecided
Unassigned

Bug Description

Docutils 0.10 breaks manpage generation in sphinx 1.1.3. A fix to sphinx has been merged, but not yet released (scheduled for dec 24-31). In the mean time, we should pin docutils to 0.9.1.

https://bitbucket.org/birkenfeld/sphinx/issue/998/docutils-010-will-break-sphinx-manpage

James E. Blair (corvus) on 2012-12-17
description: updated
description: updated

Fix proposed to branch: master
Review: https://review.openstack.org/18239

Changed in horizon:
status: New → In Progress

Reviewed: https://review.openstack.org/18239
Committed: http://github.com/openstack/horizon/commit/37731b95b68ca6177f88449c6250fa5a34de15d5
Submitter: Jenkins
Branch: master

commit 37731b95b68ca6177f88449c6250fa5a34de15d5
Author: James E. Blair <email address hidden>
Date: Mon Dec 17 08:49:53 2012 -0800

    Pin docutils to 0.9.1.

    Docutils 0.10 breaks manpage generation in sphinx 1.1.3. A fix to
    sphinx has been merged, but not yet released (scheduled for dec
    24-31). In the mean time, we should pin docutils to 0.9.1.

    Fixes bug 1091333.

    Change-Id: I157f3c191bfc09d2191a3508d81bcbaea56205a6

Changed in horizon:
status: In Progress → Fix Committed
Lianhao Lu (lianhao-lu) on 2013-01-06
Changed in ceilometer:
assignee: nobody → Lianhao Lu (lianhao-lu)
Changed in ceilometer:
status: New → In Progress

Reviewed: https://review.openstack.org/19031
Committed: http://github.com/openstack/ceilometer/commit/a52d70a4b55cb6b5008adb351ea32c9c7f292281
Submitter: Jenkins
Branch: master

commit a52d70a4b55cb6b5008adb351ea32c9c7f292281
Author: Lianhao Lu <email address hidden>
Date: Sat Jan 5 17:57:36 2013 +0800

    Fix test blocking issue and pin docutils version.

    Mock out more methods of the nova conductor according to the latest nova
    changes to fix the test blocking issue of the nova notifier.

    Also pin docutils to 0.9.1 as a workaround to fix bug 1091333.

    Change-Id: I1c4db4a5f5485dd563c2d48890be0334982e5a26

Changed in ceilometer:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2013-01-09
Changed in ceilometer:
milestone: none → grizzly-2
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-01-09
Changed in horizon:
milestone: none → grizzly-2
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-02-05
Changed in keystone:
status: New → Invalid

Reviewed: https://review.openstack.org/21220
Committed: http://github.com/openstack/keystone/commit/ef1e6823a4340cf734ac34465b564b684840911b
Submitter: Jenkins
Branch: stable/essex

commit ef1e6823a4340cf734ac34465b564b684840911b
Author: Dave Walker (Daviey) <email address hidden>
Date: Tue Feb 5 15:37:34 2013 +0000

    Pin docutils to 0.9.1.

    Docutils 0.10 breaks manpage generation in sphinx 1.1.3. A fix to
    sphinx has been merged, but not yet released (scheduled for dec
    24-31). In the mean time, we should pin docutils to 0.9.1.

    (Also add myself to Authors to allow merge tests to pass)

    Fixes bug 1091333.

    Change-Id: I0157c6d662ae8ceecb1440d245cfa06def1101db

Thierry Carrez (ttx) on 2013-04-04
Changed in horizon:
milestone: grizzly-2 → 2013.1
Thierry Carrez (ttx) on 2013-04-04
Changed in ceilometer:
milestone: grizzly-2 → 2013.1
James E. Blair (corvus) on 2013-04-23
Changed in openstack-ci:
status: New → Fix Released

Reviewed: https://review.openstack.org/122719
Committed: https://git.openstack.org/cgit/openstack/horizon/commit/?id=5e65a944d9d8ad1e3090c90786a90fee851d2c8f
Submitter: Jenkins
Branch: stable/havana

commit 5e65a944d9d8ad1e3090c90786a90fee851d2c8f
Author: Ihar Hrachyshka <email address hidden>
Date: Fri Sep 19 14:40:35 2014 +0200

    Pin docutils to 0.9.1

    Docutils 0.10 breaks manpage generation in sphinx 1.1.3. A fix to
    sphinx has been merged, but not yet released (scheduled for dec
    24-31). In the mean time, we should pin docutils to 0.9.1.

    Similar change was present before as
    I157f3c191bfc09d2191a3508d81bcbaea56205a6 but was incorrectly removed by
    later requirements syncs.

    Closes-Bug: 1091333
    Change-Id: I157f3c191bfc09d2191a3508d81bcbaea56205a6

tags: added: in-stable-havana
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers